Go to the latest version of this document.

# ``twisted`.`persisted`.`sob`.`Persistent``

class documentation

`class Persistent: (source)`

Constructor: `Persistent(original, name)`

Implements interfaces: `twisted.persisted.sob.IPersistable`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `save` | Save object to file.
Method | `setStyle` | Set desired format.
Instance Variable | `name` | Undocumented
Instance Variable | `original` | Undocumented
Instance Variable | `style` | Undocumented
Method | `_getFilename` | Undocumented
Method | `_getStyle` | Undocumented
Method | `_saveTemp` | Undocumented

def __init__(self, original, name): (source)

Undocumented

def save(self, tag=None, filename=None, passphrase=None): (source)
from `twisted.persisted.sob.IPersistable`

Save object to file.

Parameters
tag:string | Undocumented
filename:string | Undocumented
passphrase:string | Undocumented

def setStyle(self, style): (source)
from `twisted.persisted.sob.IPersistable`

Set desired format.

Parameters
style:string (one of 'pickle' or 'source') | Undocumented

name = (source)

Undocumented

original = (source)

Undocumented

style = (source)

Undocumented

def _getFilename(self, filename, ext, tag): (source)

Undocumented

def _getStyle(self): (source)

Undocumented

def _saveTemp(self, filename, dumpFunc): (source)

Undocumented